package com.jpsoft.employment.modules.common.dto;

public class MessageResultBuilder {

    public static <T>  MessageResult<T> ok(T data){
            return new MessageResult<T>(true,null,data,200);
    }

    public static <T>  MessageResult<T> error(String msg){
        return new MessageResult<T>(false,msg,null,500);
    }
    
    public static  MessageResultSimple success(Object data){
        return new MessageResultSimple(true,null,data,200);
    }

    public static  MessageResultSimple failed(String msg){
        return new MessageResultSimple(false,msg,null,500);
    }
}
