package com.jpsoft.employment.modules.sys.dao;

import com.jpsoft.employment.modules.common.dto.Sort;
import com.jpsoft.employment.modules.sys.entity.Role;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface RoleDAO {
	int insert(Role entity);
	int update(Role entity);
	int exist(String id);
	Role get(String id);
	int delete(String id);
	List<Role> list();
	List<Role> search(Map<String, Object> searchParams, List<Sort> sortList);
}