package com.jpsoft.employment.modules.sys.service;

import com.github.pagehelper.Page;
import com.jpsoft.employment.modules.common.dto.Sort;
import com.jpsoft.employment.modules.sys.entity.RoleMenu;

import java.util.List;
import java.util.Map;

public interface RoleMenuService {
	RoleMenu get(String id);
	boolean exist(String id);
	int insert(RoleMenu model);
	int update(RoleMenu model);
	int delete(String id);
	List<RoleMenu> list();
	Page<RoleMenu> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
    List<RoleMenu> findByRoleId(String roleId);
	int deleteByRoleId(String roleId);
}