package com.jpsoft.employment.modules.sys.service;

import com.github.pagehelper.Page;
import com.jpsoft.employment.modules.common.dto.Sort;
import com.jpsoft.employment.modules.sys.entity.User;
import com.jpsoft.employment.modules.sys.entity.UserVO;

import java.util.List;
import java.util.Map;

public interface UserService {
	User get(String id);
	boolean exist(String id);
	int insert(User model);
	int update(User model);
	int delete(String id);
	List<User> list();
	Page<User> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
	User findByUserName(String userName);
	boolean hasRole(String userId, String roleName) ;
    User findByOpenId(String openId);
	UserVO getUser(String id);
	List<String> findByRoleIdAndCompanyId(String roleId,String companyId);
}